Description

This is a guide for setting up a self-hosted wallabag instance on an nginx web server using postgresqgl on FreeBSD 10.

Prepare the Environment

e Before installation of the components, make sure everything is up to date using the following command:
pkg update -f && pkg upgrade
e |nstall some dependencies:

pkg install portmaster gmake

Install Nginx

® [nstall Nginx
pkg install nginx
e Start and enable nginx at boot:

echo 'nginx_enable="YES"' >> /etc/rc.conf
service nginx start

e Create a configuration directory to make managing individual server blocks easier
mkdir /usr/local/etc/nginx/conf.d
e Edit the main nginx config file:

vi /usr/local/etc/nginx/nginx.conf
o And strip down the config file and add the include statement at the end to make it easier to handle various server blocks:
worker_processes 1;
error_log /var/log/nginx-error.log;

events {
worker_connections 1024;
http {

include mime.types;
default_type application/octet—-stream;
sendfile on;

keepalive_timeout 65;

# Load config files from the /etc/nginx/conf.d directory
include /usr/local/etc/nginx/conf.d/*.conf;

Install PostgreSQL 9.4

e Install PostgreSQL:

pkg install postgresgl94-{server,client}

Enable PostgreSQL at boot:

echo 'postgresgl_enable="YES"' >> /etc/rc.conf

Initialize the database:

service postgresqgl initdb

Start PostgreSQL:

service postgresgl start

)

Edit the postgres config file:

vi /usr/local/pgsql/data/postgresql.conf

o And modify the following:

listen_addresses = '*!'

e Edit the pg_hba config file:

vi /usr/local/etc/pgsqgl/data/pg_hba.conf

o And modify the following:

# TYPE DATABASE USER CIDR-ADDRESS METHOD only

# Local connections
local all all trust

# IPv4 local connections:
host all all 127.0.0.1/32 trust
# IPv6 local connections:
host all all ::1/128 trust

# IPv4 connections:
host all all 192.168.10.0/24 md5

# IPv6 local connections:
host all all 1234::abcd/64 md5

e And wrap up by restarting the nginx and postgresql servers:

service nginx restart
service postgresqgl restart

e Switch to the pgsql user:

su pgsqgl

o Create the wallabagdb database:

createdb wallabagdb

o Then create the wallabaguser user:

createuser -P1 —--interactive wallabaguser

o Grant all privileges to wallabagdb to wallabaguser:

psgl templatel
GRANT ALL PRIVILEGES ON DATABASE "wallabagdb" to wallabaguser;

\q
e Exit from the pgsql user
exit
Install PHP
e Install PHP 5.6 and other supporting packages:

pkg install php56 phpb56-session phpb56-ctype phpb56-dom php56-filter php56-hash php56-simplexml
php56-json php56-gd php56-mbstring php56-xml phpb56-tidy phpb56-iconv php56-curl php56-gettext p
hp56-tokenizer php56-pdo_pgsgl php-composer

e Configure the default PHP settings
cp /usr/local/etc/php.ini-production /usr/local/etc/php.ini
e Edit the php config file:

vi /usr/local/etc/php.ini
o And modify the memory limit to 2GB:
memory_limit = 2G
e Edit /usr/local/etc/php-fpm.conf:

vi /usr/local/etc/php-fpm.conf

o Make the following changes:

listen = /var/run/php-fpm.sock
listen.owner = www
listen.group = www
listen.mode = 0660

e Start and enable PHP-FPM at boot:

echo 'php_fpm_enable="YES"' >> /etc/rc.conf
service php-fpm start

e Restart nginx:

service nginx restart

Install Wallabag

e Clone the latest wallabag version from GitHub:

cd /usr/local/www
git clone -b v2 https://github.com/wallabag/wallabag.git
cd wallabag

e Then run the two installation commands:

gmake install
o NOTE: Make sure to NO when prompted to reset the database

e Add a wallabag.example.com server block:

vi /usr/local/etc/nginx/conf.d/wallabag.example.com.conf

o Add the following:

server {
listen 80;
server_name wallabag.example.com;
root /usr/local/www/wallabag.example.com/web;
access_log /var/log/wallabag.example.com—access.log;
error_log /var/log/wallabag.example.com—error.log;

location / {
try_files S$Suri /app.php$is_args$Sargs

# For all PHP requests, pass them on to PHP-FPM via FastCGI
location ~ ~/app\.php(/1$) {
fastcgi_pass unix:/var/run/php-fpm.sock;
fastcgi_param SCRIPT_FILENAME S$document_root$fastcgi_script_name;
fastcgi_param DOCUMENT_FILENAME S$document_root;
fastcgi_param PATH_INFO $fastcgi_script_name;
include fastcgi_params;

# Block all other PHP files
location ~ \.php$ {
return 404;

Upgrading Wallabag

e Pull the latest commit from GitHub:

cd /usr/local/www/wallabag.example.com/
git pull

® And update the modules:

gmake install

Import From vi
e Download the exported .json file from the wallabag v1 site and copy it over to the new wallabag directory

¢ Import the .json file:

SYMFONY_ENV=prod php bin/console wallabag:import-vl 2 wallabag-export-1-2016-03-31.7json

o NOTE: Make sure to replace the number 2 with the proper user id number

Resources

e http://doc.wallabag.org/en/v2/
e http://doc.wallabag.org/en/v2/user/installation.html

History

#1 - 04/10/2016 02:14 PM - Daniel Curtis

- Description updated

#2 - 04/10/2016 02:31 PM - Daniel Curtis

- Description updated

#3 - 04/10/2016 05:07 PM - Daniel Curtis
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100
